using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Text.Json.Serialization;
using System.Threading.Tasks;

namespace qtc_net_client_2.ClientModel
{
    public class Config
    {
        [JsonPropertyName("startMinimized")]
        [JsonRequired]
        public bool StartMinimized { get; set; } = false;
        [JsonPropertyName("minimizeToTray")]
        [JsonRequired]
        public bool MinimizeToTray { get; set; } = true;
        [JsonPropertyName("enableDebugLogs")]
        [JsonRequired]
        public bool EnableDebugLogs { get; set; } = false;

        [JsonPropertyName("serverUrl")]
        [JsonRequired]
        public string ServerUrl { get; set; } = "https://qtc.alanmoon.net";
    }
}
